Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.mllp
Class TCPPort

    java.lang.Object
      org.eclipse.ohf.ihe.common.mllp.TCPPort

Direct Known Subclasses:
  SecureTCPPort

    public class TCPPort

extends java.lang.Object

Constructor Summary
`TCPPort()` Create a new TCP port.

Method Summary
`int` | `getBufferSize()` Return the max buffer size.
`int` | `getConnTimeoutMS()` Return the connection time out (ms).
`char[]` | `getEndHex()` Return the post-message character sequence.
`int` | `getMaxSocketErrorCount()` Return the max socket error count.
`int` | `getSocketTimeoutMS()` Return the socket timeout (ms).
`char[]` | `getStartHex()` Return the pre-message character sequence.
`java.lang.String` | `getTcpHost()` Return the TCP host.
`int` | `getTcpPort()` Return the TCP port.
`void` | `setBufferSize(int value)` Set the max buffer size.
`void` | `setConnTimeoutMS(int value)` Set the connection time out (ms).
`void` | `setEndHex(char[] value)` Set the post-message character sequence.
`void` | `setMaxSocketErrorCount(int value)` Set the max socket error count.
`void` | `setSocketTimeoutMS(int value)` Set the socket timeout (ms).
`void` | `setStartHex(char[] value)` Set the pre-message character sequence.
`void` | `setTcpHost(java.lang.String value)` Set the TCP host.
`void` | `setTcpPort(int value)` Set the TCP port.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPPort

    public TCPPort()

  Create a new TCP port.

Method Detail

### getTcpHost

    public java.lang.String getTcpHost()

  Return the TCP host.

  Returns:
    host

### setTcpHost

    public void setTcpHost(java.lang.String value)

  Set the TCP host.

  Parameters:
    `value` -

### getTcpPort

    public int getTcpPort()

  Return the TCP port.

  Returns:
    port

### setTcpPort

    public void setTcpPort(int value)

  Set the TCP port.

  Parameters:
    `value` -

### getStartHex

    public char[] getStartHex()

  Return the pre-message character sequence.

  Returns:
    sHex

### setStartHex

    public void setStartHex(char[] value)

  Set the pre-message character sequence.

  Parameters:
    `value` -

### getEndHex

    public char[] getEndHex()

  Return the post-message character sequence.

  Returns:
    eHex

### setEndHex

    public void setEndHex(char[] value)

  Set the post-message character sequence.

  Parameters:
    `value` -

### getMaxSocketErrorCount

    public int getMaxSocketErrorCount()

  Return the max socket error count.

  Returns:
    max errors

### setMaxSocketErrorCount

    public void setMaxSocketErrorCount(int value)

  Set the max socket error count.

  Parameters:
    `value` -

### getConnTimeoutMS

    public int getConnTimeoutMS()

  Return the connection time out (ms).

  Returns:
    ms

### setConnTimeoutMS

    public void setConnTimeoutMS(int value)

  Set the connection time out (ms).

  Parameters:
    `value` -

### getBufferSize

    public int getBufferSize()

  Return the max buffer size.

  Returns:
    size

### setBufferSize

    public void setBufferSize(int value)

  Set the max buffer size.

  Parameters:
    `value` -

### getSocketTimeoutMS

    public int getSocketTimeoutMS()

  Return the socket timeout (ms).

  Returns:
    ms

### setSocketTimeoutMS

    public void setSocketTimeoutMS(int value)

  Set the socket timeout (ms).

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD